// Опишите своими словами как работает цикл forEach.
// Цикл forEach работает следующим образом, в теле цикла каждый элемент массива присваевается переменной. Чаще всего эту переменную называют "element", после чего следует вызов коллбэк функции, которая может выполнять действия над каждым элементом. Т.е. каждый элемент итерируется и после прохождения цикла переменной "element" присваивается новый элемент массива.

let array = ["hello", "world", 23, 0, "23", null, "hello", "", "world", 23, "23", null, 1, 1, 1, 1, 1];
let filterBy = function (array, type) {
  return array.filter((item) => typeof item !== type);
};
console.log(filterBy(array, "string"));
